Bug 1282551 - Update to last version and enable python3 support [NEEDINFO]
Update to last version and enable python3 support
Status: NEW
Product: Fedora
Classification: Fedora
Component: pymunk (Show other bugs)
27
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rob Spanton
Fedora Extras Quality Assurance
:
Depends On:
Blocks: PYTHON3 PY3PATCH-AVAILABLE
  Show dependency treegraph
 
Reported: 2015-11-16 12:40 EST by William Moreno
Modified: 2017-10-12 09:18 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dkrejci: needinfo? (rob)
jberan: needinfo? (rob)
mhroncok: needinfo? (rob)


Attachments (Terms of Use)
Spec file with a Python 3 subpackage (5.11 KB, patch)
2016-10-19 14:47 EDT, Jan Beran
no flags Details | Diff

  None (edit)
Description William Moreno 2015-11-16 12:40:53 EST
Last upstream relase it is in version 4, also upstream support python, please update the package and enable support for python3 as part of the move of Fedora to python3.
Comment 1 Jan Kurik 2016-02-24 08:59:07 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Dominika Krejčí 2016-05-11 05:16:29 EDT
Hello Rob,

Do you need any help adding Python 3 support to the RPM?

If you need more instructions, a [guide] for porting Python-based RPMs is available.

[guide] http://python-rpm-porting.readthedocs.io/
Comment 3 Jan Beran 2016-10-19 14:47 EDT
Created attachment 1212239 [details]
Spec file with a Python 3 subpackage

Chipmunk 7.0.1 has not been prepared in Fedora yet (bug 1386310) but the spec file contains the source code and compilation script to provide libchipmunk64.so library.
Comment 4 Jan Beran 2017-06-30 07:40:30 EDT
Hello Rob,

please could you review the attached updated spec file?

Thank you.

Best regards

Jan
Comment 5 Fedora End Of Life 2017-07-25 15:30:30 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 6 Jan Kurik 2017-08-15 05:24:41 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.
Comment 7 Jan Beran 2017-09-18 09:21:11 EDT
Hello Rob, please, may I ask for your feedback?

Note You need to log in before you can comment on or make changes to this bug.